## ros-lunar-rosbridge-library 0.10.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosbridge_library)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs geometry_msgs)

# Generate messages for testing (NOINSTALL)
add_message_files(
  FILES
  Num.msg
  TestChar.msg
  TestDurationArray.msg
  TestHeaderArray.msg
  TestHeader.msg
  TestHeaderTwo.msg
  TestTimeArray.msg
  TestUInt8.msg
  TestUInt8FixedSizeArray16.msg
  NOINSTALL
)

# Generate services for testing (NOINSTALL)
add_service_files(
  FILES
  AddTwoInts.srv
  SendBytes.srv
  TestArrayRequest.srv
  TestEmpty.srv
  TestMultipleRequestFields.srv
  TestMultipleResponseFields.srv
  TestNestedService.srv
  TestRequestAndResponse.srv
  TestRequestOnly.srv
  TestResponseOnly.srv
  NOINSTALL
)

catkin_python_setup()

# Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
  geometry_msgs
)

catkin_package(
  CATKIN_DEPENDS message_runtime std_msgs geometry_msgs
)

# Test launch files
if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/capabilities/test_capabilities.test)
  add_rostest(test/internal/test_internal.test)
endif()

=== debian/changelog ===
ros-lunar-rosbridge-library (0.10.1-0xenial) xenial; urgency=high

  * Inline cbor library (#377 <https://github.com/RobotWebTools/rosbridge_suite/issues/377>)
    Prefer system version with C speedups, but include pure Python implementation.
  * Contributors: Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Sat, 15 Dec 2018 15:00:00 -0000

ros-lunar-rosbridge-library (0.10.0-0xenial) xenial; urgency=high

  * CBOR encoding (#364 <https://github.com/RobotWebTools/rosbridge_suite/issues/364>)
    * Add CBOR encoding
    * Fix value extraction performance regression
    Extract message values once per message.
    * Fix typed array tags
    Was using big-endian tags and encoding little-endian.
    Always use little-endian for now since Intel is prevalent for desktop.
    Add some comments to this effect.
    * Update CBOR protocol documentation
    More information about draft typed arrays and when to use CBOR.
    * Fix 64-bit integer CBOR packing
    Use an actual 64-bit format.
  * use package format 2, remove unnecessary dependencies (#348 <https://github.com/RobotWebTools/rosbridge_suite/issues/348>)
  * removing has_key for python3, keeping backwards compatibility (#337 <https://github.com/RobotWebTools/rosbridge_suite/issues/337>)
    * removing has_key for python3, keeping backwards compatibility
    * py3 change for itervalues, keeping py2 compatibility
  * Contributors: Andreas Klintberg, Dirk Thomas, Matt Vollrath

 -- Russell Toris <rctoris@wpi.edu>  Thu, 13 Dec 2018 15:00:00 -0000

ros-lunar-rosbridge-library (0.9.0-0xenial) xenial; urgency=high

  * Fix typo in function call
  * Add missing argument to InvalidMessageException (#323 <https://github.com/RobotWebTools/rosbridge_suite/issues/323>)
    Add missing argument to InvalidMessageException constructor
  * Make unregister_timeout configurable (#322 <https://github.com/RobotWebTools/rosbridge_suite/issues/322>)
    Pull request #247 <https://github.com/RobotWebTools/rosbridge_suite/issues/247> introduces a 10 second delay to mitigate issue #138 <https://github.com/RobotWebTools/rosbridge_suite/issues/138>.
    This change makes this delay configurable by passing an argument either
    on the command line or when including a launch file.
    Usage example:
    ```xml
    <launch>
    <include file="$(find rosbridge_server)/launch/rosbridge_websocket.launch">
    <arg name="unregister_timeout" value="5.0"/>
    </include>
    </launch>
    ```
    Closes #320 <https://github.com/RobotWebTools/rosbridge_suite/issues/320>
  * message_conversion: create stand-alone object inst (#319 <https://github.com/RobotWebTools/rosbridge_suite/issues/319>)
    Catching the ROSInitException allows to create object
    instances without an initialized ROS state
  * Fixes #313 <https://github.com/RobotWebTools/rosbridge_suite/issues/313> by fixing has_binary in protocol.py (#315 <https://github.com/RobotWebTools/rosbridge_suite/issues/315>)
    * Fixes #313 <https://github.com/RobotWebTools/rosbridge_suite/issues/313> by fixing has_binary in protocol.py
    Checks for lists that have binary content as well as dicts
    * Minor refactoring for protocol.py
  * fix fragment bug (#316 <https://github.com/RobotWebTools/rosbridge_suite/issues/316>)
    * fix bug that lost data while sending large packets
    * fixed travis ci failed by @T045T
    * fixed travis ci failed by @T045T
    * travis ci failed
    * fix rosbridge_library/test/experimental/fragmentation+srv+tcp test bug
    * sync .travis.yaml
    * fix the service_response message bug
    * fix the fragment paring error
    * fix indentation of "service" line
  * add graceful_shutdown() method to advertise_service capability
    This gives the service a bit of time to cancel any in-flight service requests (which should fix #265 <https://github.com/RobotWebTools/rosbridge_suite/issues/265>).
    This is important because we busy-wait for a rosbridge response for service calls and those threads do not get stopped otherwise.
    Also, rospy service clients do not currently support timeouts, so any clients would be stuck too.
    A new test case in test_service_capabilities.py verifies the fix works
  * Add rostest for service capabilities and fix bugs
    also fixed some typos
  * Fix Travis config (#311 <https://github.com/RobotWebTools/rosbridge_suite/issues/311>)
    * fix Travis config
    dist: kinetic is currently unsupported
    * fix rostests
    for some reason, rostest seems to hide the rosout node - changed tests to use other services
  * Contributors: Anwar, Johannes Rothe, Jørgen Borgesen, Nils Berg, Phil, WH-0501, elgarlepp

 -- Russell Toris <rctoris@wpi.edu>  Sun, 08 Apr 2018 15:00:00 -0000

ros-lunar-rosbridge-library (0.8.6-0xenial) xenial; urgency=high

  * Import StringIO from StringIO if python2 and from io if python3 fixes #306 <https://github.com/RobotWebTools/rosbridge_suite/issues/306> (#307 <https://github.com/RobotWebTools/rosbridge_suite/issues/307>)
  * Contributors: Jihoon Lee

 -- Russell Toris <rctoris@wpi.edu>  Thu, 07 Dec 2017 15:00:00 -0000

ros-lunar-rosbridge-library (0.8.5-0xenial) xenial; urgency=high

  * Raise if inappropriate bson module is installed (Appease #198 <https://github.com/RobotWebTools/rosbridge_suite/issues/198>) (#270 <https://github.com/RobotWebTools/rosbridge_suite/issues/270>)
    * Raise Exception if inappropriate bson module is installed (Related to #198 <https://github.com/RobotWebTools/rosbridge_suite/issues/198>)
  * Add Python3 compatibility (#300 <https://github.com/RobotWebTools/rosbridge_suite/issues/300>)
    * First pass at Python 3 compatibility
    * message_conversion: Only call encode on a Python2 str or bytes type
    * protocol.py: Changes for dict in Python3. Compatible with Python 2 too.
    * More Python 3 fixes, all tests pass
    * Move definition of string_types to rosbridge_library.util
  * Contributors: Junya Hayashi, Kartik Mohta

 -- Russell Toris <rctoris@wpi.edu>  Wed, 22 Nov 2017 15:00:00 -0000



=== debian/control ===
Source: ros-lunar-rosbridge-library
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), python-bson, python-imaging, ros-lunar-actionlib-msgs, ros-lunar-catkin, ros-lunar-diagnostic-msgs, ros-lunar-geometry-msgs, ros-lunar-message-generation, ros-lunar-nav-msgs, ros-lunar-rospy-tutorials, ros-lunar-rostest, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-std-srvs, ros-lunar-stereo-msgs, ros-lunar-tf2-msgs, ros-lunar-trajectory-msgs, ros-lunar-visualization-msgs
Homepage: http://ros.org/wiki/rosbridge_library
Standards-Version: 3.9.2

Package: ros-lunar-rosbridge-library
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-bson, python-imaging, ros-lunar-geometry-msgs, ros-lunar-message-runtime, ros-lunar-roscpp, ros-lunar-rosgraph, ros-lunar-rospy, ros-lunar-rosservice, ros-lunar-rostopic, ros-lunar-std-msgs
Description: The core rosbridge package, repsonsible for interpreting JSON andperforming the appropriate ROS action, like subscribe, publish, call service, and interact with params.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rosbridge-library//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
